feature:
  title:        A scenario outline
  language:     en
  line:         1
  description:  ~

  scenarios:
    -
      type:     outline
      title:    ~
      line:     3
      steps:
        - { keyword_type: Given, type: Given, text: I add <a> and <b>, line: 4 }
        -
          keyword_type: When
          type:         When
          text:         I pass a table argument
          line:         6
          arguments:
            -
              type:   table
              rows:
                7: [foo, bar]
                8: [bar, baz]
        - { keyword_type: Then, type: Then, text: I the result should be <c>, line: 10 }
        -
          keyword_type: Then
          type:         And
          text:         the table should be properly escaped:
          line:         12
          arguments:
            -
              type:   table
              rows:
                13: ['|a', b, c]
                14: [1, '|2', 3]
                15: [2, 3, '|4']

      examples:
        18: [ a, b, c ]
        19: [ 1, '|2', 3 ]
        20: [ 2, 3, 4 ]
